div.product-container {
    display : grid ;
    justify-content : center ;
    row-gap : 5px ;
}

div.product-container > div.product-title {
    display : grid ;
    justify-content : center ;
    font-size : var( --text-size ) ;
}

div.product-container > button {
    width :  var( --element-width ) ;
}

div.product-container > img {
    width :  var( --element-width ) ;
    height : var( --product-image-height ) ;
}

div.add-remove-to-cart-container {
    display: grid;
    grid-template-columns: 32% 36% 32%;
}

div.add-remove-to-cart-container > div.amount-into-cart {
    display : grid ;
    justify-content : center ;
    align-content : center ;
    font-size : var( --title-text-size ) ;
}

div.product-container > button ,
div.add-remove-to-cart-container > button {
    height :  var( --button-height ) ;
    font-size : var( --text-size ) ;
    color : var( --tg-theme-button-text-color ) ;
    border : var( --border-property ) ;
    border-radius : var( --border-radius ) ;
}

/* modal window */
div.modal-body {
    display : grid ;
    grid-template-columns : auto ;
    font-size : var( --text-size ) ;
    place-items : center ;
    padding : 0 ;
}

div.modal-header {
    border-bottom : none ;
    display : grid ;
    justify-content : center ;
    font-weight : bold ;
}
div.modal-footer {
    border-top : none ;
}

#product-image {
    width : var( --big-image-width ) ;
    padding-bottom : 10px ;
}
#product-description {
    padding-top : 10px ;
    width: var( --big-image-width ) ;
}
#product-title {
    font-size : var( --title-text-size ) ;
}